Subject: [bug#76081] OCI provisioning service

From: paul <[email-masked]>
Date: Tue, 4 Mar 2025 13:39:33 +0100

Hi,

On 2/27/25 00:01, paul wrote:
> Hi guix,
>
> On 2/18/25 02:20, paul wrote:
>> Hi,
>>
>> On 2/12/25 02:09, paul wrote:
>>> Hi guix,
>>>
>>> On 2/9/25 21:38, paul wrote:
>>>> I'm sending a v3 fixing a bug in the merge algorithm for volumes 
>>>> and networks.
>>>>
>>>> On 2/9/25 20:14, paul wrote:
>>>>> Hi,
>>>>>
>>>>> I'm about to send a v2. v2 compared to the first revision features:
>>>>>
>>>>>
>>>>> - it actually compiles all the times :) (rev 1 referenced 
>>>>> oci-image too early for it to be working and generated a compile 
>>>>> time error, if you recompiled it sometimes went away so I thought 
>>>>> it was a problem of my setup. CI caught this)
>>>>> - it allows more values to be overridden by eventual users of the 
>>>>> Scheme API
>>>>> - it allows passing extra arguments directly after each podman or 
>>>>> docker invokation, allowing for example for overriding podman 
>>>>> --root and similar options.
>>>>>
>>>>> All of these tests should pass:
>>>>>
>>>>> guix shell -D guix -CPW -- make check-system TESTS="oci-container 
>>>>> oci-service-rootless-podman docker docker-system rootless-podman 
>>>>> oci-service-docker"
>>>>>
>>> I'm sending a v4 changing slightly the image loader, the same tests 
>>> as before are supposed to pass. Now the Home service [0] is working 
>>> for me with rootless podman. I'll try it on different distros if I 
>>> manage to.
>>
>> I'm sending a v5 implementing a Home service. The changes compared to 
>> v4 are pretty trivial as the plumbing was already there, the only 
>> downside is that I'm not able to use for-home? in 
>> define-configuration, so I had to reimplement oci-configuration with 
>> (guix records) and had to reimplement some validation (gnu services 
>> configuration) would figure out magically.
>
> I'm sending  a v6. Compared to v5 it resolves the conflicts with 
> master and it should fix the stop action for rootless podman backed 
> services.

I'm sending a v7 fixing the restart action for podman backed services.

Thank you for your work,

giacomo